/*---------------------------------------------------------------------------*\
|  Register all the REXXUTIL.DLL Functions    (C) Alain Rykaert - DEC95-JUN96 |
\*---------------------------------------------------------------------------*/

    Parse Upper Arg Option .

    if Strip(Translate(Option)) = '/M'
     then MUTE = 1
     else MUTE = 0

    Result_Query=RxFuncQuery('SysLoadFuncs')
    if Result_Query = 0
     then do
             if \MUTE then Say '*** OK, RexxUtil was registered. ***'
          end
     else do
             Result_Add = RxFuncAdd( 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs')
             if Result_Add = 0
              then do
                      if \MUTE then Say '*** OK, RexxUtil is registered. ***'
                      Signal ON Syntax Name Load_Check
                      Call SysLoadFuncs
                      Load_Check: /* RC of 43 means REXXUTILs not found */
                      if RC = 43
                       then do
                               Say '*** ERROR: Not able to load the RexxUtils. '
                               Say '    Perhaps REXX not installed, or REXXUTIL.DLL not found in a LIBPATH drive/directory.'
                              '@Pause'
                            end
                       else Nop
                      Signal OFF Syntax
                   end
              else do
                      Say '*** ERROR: RexxUtil registration has failed. ***'
                     '@Pause'
                   end
            end

    if \MUTE then say '0A0D'X ' OS/2 version' SYSOS2VER()

    Exit

 /*--------------------------------------------------------------------------*/

